#import <ObjFW/ObjFW.h>
#import <ObjXMPP/ObjXMPP.h>
#include <gtk/gtk.h>

#import "JubChatClient.h"

@class JubGtkChatUI;

@interface JubGtkRosterUI: OFObject <XMPPContactManagerDelegate>
{
	GtkWidget *_roster_window;
	GtkTreeStore *_roster_model;
	GtkTreeModelFilter *_roster_filter;
	GtkComboBox *_presence_combo;
	gulong _presence_combo_changed_handler_id;
	OFMapTable *_groupMap;
	OFMutableDictionary *_contactMap;
	JubChatClient *_client;
}

- initWithClient: (JubChatClient*)client;
-      (void)client: (JubChatClient*)client
  didChangePresence: (XMPPPresence*)presence;
@end
